.gallery {
    padding: 80px 0;
}

.gallery .gallery-header {
    display: flex;
    justify-content: space-between;
    gap: 20px 24px;
    margin-bottom: 80px;
}

.gallery .gallery-header .main-title {
    max-width: 265px;
}

.gallery .gallery-header .main-description {
    max-width: 790px;
}

.gallery-flex {
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.gallery-row {
    display: flex;
    gap: 20px;
}

.gallery-row.row-1 {
    align-items: flex-end;
}

.gallery-row.row-3 {
    align-items: flex-start;
}

/* размеры по ширине */
.gallery-row .big {
    flex: 3;
}

.gallery-row .small {
    flex: 1;
}

.gallery-row .same {
    flex: 1;
}

/* высоты по желанию */
.gallery-row .item {
    overflow: hidden;
    box-shadow: 0 8px 24px rgba(214, 214, 214, 0.7);
    border-radius: 12px;
}

.gallery-row img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
}

.gallery-row .big img,
.gallery-row .same img {
    height: 620px;
}

.gallery-row .small img {
    height: 290px;
}

@media screen and (max-width: 992px) {
    .gallery .gallery-header {
        flex-direction: column;
    }

    .gallery-row .big {
        flex: 2;
    }

    .gallery-row .big img,
    .gallery-row .same img {
        height: 420px;
    }
}

@media screen and (max-width: 767px) {
    .gallery {
        padding: 60px 0;
    }

    .gallery .gallery-header {
        margin-bottom: 60px;
    }

    .gallery-row {
        flex-direction: column;
    }

    .gallery-row .big,
    .gallery-row .small,
    .gallery-row .same {
        flex: 1;
        width: 100%;
    }

    .gallery-row .big img,
    .gallery-row .small img,
    .gallery-row .same img {
        height: 350px;
    }
}
